summaryrefslogtreecommitdiff
path: root/scripts/0100-download.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/0100-download.sh')
-rwxr-xr-xscripts/0100-download.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/0100-download.sh b/scripts/0100-download.sh
new file mode 100755
index 0000000..03bd544
--- /dev/null
+++ b/scripts/0100-download.sh
@@ -0,0 +1,10 @@
+#!/bin/env bash
+
+set -e
+
+mkdir -p /downloads && cd /downloads
+
+curl -LO -C - ftp://sourceware.org/pub/newlib/newlib-$NEWLIB_VERSION.tar.gz
+curl -LO -C - http://ftp.gwdg.de/pub/linux/sources.redhat.com/binutils/releases/binutils-$BINUTILS_VERSION.tar.xz
+curl -LO -C - http://ftp.gwdg.de/pub/linux/sources.redhat.com/gcc/releases/gcc-$GCC_VERSION/gcc-$GCC_VERSION.tar.xz
+curl -LO -C - http://ftp.gwdg.de/pub/linux/sources.redhat.com/gdb/releases/gdb-$GDB_VERSION.tar.xz